Problemas al upgrade J 3.4 a J 3.6..x con Vm 3.0.18  

 
Francisco Javier
 Francisco Javier
Usuario activo

Hola foro y comunidad de Webempresa
en primer lugar es obligado por la fechas decir FELIZ NAVIDAD y encantado de poder participar en este Foro
La cuestión es que se migró la web de J 1.5 con VM a J 3; aunque costó pasar todos los productos quedó todo configurado perfectamente
En este momento y desde hace un año mi versión de Joomla es 3.4, desde hace un año he tratado de upgrade a 3.5. y ahora a 3.6 y aunque lo hacía perfectamente la parte Joomla, toda la web funcionaba perfectamente, cuando trataba de entrar en la tienda me daba error "pagina no encontrada" sin embargo en el backend aparecía Virtuemart con todos sus apartados

Hoy que he tenido un rato he tratado de hacerlo con la versión J 3.6.4 y el mismo error, la web perfecta y sin acceso a al tienda de VM, con el mismo error
He estado leyendo todos los artículos encontrados y finalmente he tratado de hacerlo con J 3.6.2 y la parte de Joomla perfecta sin embargo VM el mismo error

Finalmente he restaurado todo con la copias de segurida de Webempresa ( toda una ayuda, gracias por ello ) y quedo como desde hace un año J 3.4 y VM 3.0.18

Espero vuestros consejos, eso si sin prisa que la web está funcionando y son días de fiesta

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 24/12/2016 6:50 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Francisco,

Me ha quedado la curiosidad, tras la lectura de tu consulta, de saber ¿como actualizaste de Joomla 1.5.x a Joomla 3.x (supongo que 3.4)?, ¿lo hiciste directamente, con algún componente como jUpgrade Pro...?

Lo ideal (si no lo estás haciendo ya) es que la migración la hagas en un clon de tu web, principalmente para no afectar a la web en producción y así evaluar tranquilamente los inconvenientes que se puedan ir presentando.

Otra cuestión ¿utilizas Akeeba Backup?, si lo utilizas ¿lo eliminas completamente antes de actualizar?

Quedo pendiente de estas indicaciones para analizar posibles orígenes del problema, pues una actualización (que no migración) desde Joomla 3.4.x a Joomla 3.6.5 no es tarea complicada y se suele hacer en pocos minutos y de forma muy transparente.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 25/12/2016 3:02 am

Cursos Gratuitos WordPress

Francisco Javier
 Francisco Javier
Usuario activo

Hola Francisco,

No había consultado el foro antes porque dí por hecho que sería fiesta, gracias por la pronta respuesta y paso a responderte de la mejor manera posible
1º Leí todo lo que teníais publicado antes de hacer nada, e hice copias que descargué por FTP y del registro de Akeeba borré
-- Como había espacio en mi host, hice una instalación express de las que ofrece Webempresa, no recuerdo que fuera con VM incluido
-- Toda la parte de artículos publicados, categorías y secciones antiguas reconvertidas se migraron con jUpgrade, que dio algún inconveniente pero no tomé nota
-- La parte de VM (no recuerdo si venía con la instalación express) tuve que rehacerla completamente sus categorías y productos y aunque algo debí usar las herramientas de migración, pero hace un año ahora y entiende que por la vorágine de la fechas y la ilusión de terminarla al estar funcionando finalmente no tome nota de nada
-- Cuando pulso en Virtuemart-Aio me da este error (ver adjunto)
-- No entiendo lo que me comentas en esta frase
"Otra cuestión ¿utilizas Akeeba Backup?, si lo utilizas ¿lo eliminas completamente antes de actualizar?"
¿A que te refieres con eliminar? he ido actualizando según emergía los avisos de una nueva versión, unas 5 veces en este año, si desinstalar la versión anterior
Y ciertamente regento varias Web basadas en Joomla sin VM y están actualizadas a la última versión de Joomla y sin problemas, cuestión de minutos como dices la actualización.

Un cordial saludo

ResponderCitar
Respondido : 26/12/2016 10:21 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Francisco Javier.

¿utilizas Akeeba Backup?, si lo utilizas ¿lo eliminas completamente antes de actualizar?"
¿A que te refieres con eliminar?

Si tienes el componente Akeeba Backup ( Extensión para realizar copias de seguridad de tu web ) instalado, como muestras en la captura, es fácil que surjan problemas con la actualización.

Accede a Extensiones -> Gestionar-> Gestionar y elimina el componente Akeeba Backup,
Una vez eliminado comprueba si puedes realizar la actualización.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 26/12/2016 10:43 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Francisco Javier
 Francisco Javier
Usuario activo

Hola Pepe,

Acabo de proceder a realizar lo indicado como muestro en las imágenes y no ha dado el resultado deseado, menos mal que con los Backups de Webempresa todo se resuelve en minutos, restaurando Html completo y Base de datos

Pasos
1 Desinstalar todo Akeeba
2 actualizar
3 comprobar resultados
4 la Web está perfecta pero la Tienda no aparece

Quedo a la espera de nuevas instrucciones

ResponderCitar
Respondido : 26/12/2016 11:16 am
Francisco Javier
 Francisco Javier
Usuario activo

Quiero añadir que si bien en el FrontEnd no es posible acceder a la Tienda, en el BackEnd se puede acerder perfectamente a VM y su configuración, pudiendo ver todos sus apartados; y he tratado cambiar el vínculo del Topico "Tienda Online" del menú superior desde donde se accedía a la "página principal" de VM a cualquiera de las opciones que ofrece, siendo el resultado el mismo, el mostrado en la última imagen del mensaje anterior

Gracias

ResponderCitar
Respondido : 26/12/2016 12:04 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Francisco.

Ok, al intentar ingresar aparece una pantalla en blanco, esto es síntoma de un error 500.
Generalmente cuando sucede esto es porque hay algún fallo en la programación, esto puede suceder si se realiza algún cambio en la plantilla.

Cada vez que se genera uno de estos errores, se genera un fichero error_log y se introduce una línea indicando el motivo del error, el fichero y línea donde se ha producido. Esto nos será de gran ayuda para ver los errores inesperados que aparecen en tu web.

Adjúntanos el archivo error_log que encontraras en la raíz de tu instalación ( Public_html ) para que lo revisemos y veamos de donde proviene.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 26/12/2016 1:08 pm
Francisco Javier
 Francisco Javier
Usuario activo

Gracias Pepe,

Adjunto el fichero, decirte que la plantilla es una copia de protostar a la que le he procurado cambios solo de imágenes o colores

ResponderCitar
Respondido : 26/12/2016 4:02 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Francisco Javier
 Francisco Javier
Usuario activo

Hola de nuevo Pepe.
Al releer tu correo me ha dado por ver el tema de las plantillas, y ciertamente tanto joomla como Vm está con la plantilla modificada de protostar que en su día llamé ProTienda
He cambiado la plantilla de los dos sitios Jml y Vm; he desinstalado todo los módulos y plugins de Akeeba y he realizado la instalación de la versión J 3.6 dando el mismo resultado de error con la plantilla Protostar que con la modificada ProTienda
Lo comento por si sirve de ayuda

ResponderCitar
Respondido : 26/12/2016 4:26 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Adjunta nuevamente el archivo por que no se envió, puedes comprimirlo en .zip
Con respecto a tu problema, podrías probar reinstalando tu virtuemart, descargate el instalador e instala como si no lo tuvieras, instala tanto el componente virtuemart como el componente AIO, los datos deberían permanecer.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 26/12/2016 6:40 pm

Cursos Gratuitos WordPress

Francisco Javier
 Francisco Javier
Usuario activo

Hola Jhon

Te envío el error_log después de la actualización
Y por si acaso te pego las últimas líneas todo después de la actualización

[26-Dec-2016 19:33:20 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/includes/framework.php on line 75
[26-Dec-2016 19:33:20 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/libraries/joomla/session/handler/joomla.php on line 45
[26-Dec-2016 19:33:20 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/libraries/joomla/session/handler/joomla.php on line 48
[26-Dec-2016 19:33:20 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/libraries/joomla/session/session.php on line 908
[26-Dec-2016 19:33:20 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/administrator/components/com_virtuemart/helpers/config.php on line 518
[26-Dec-2016 19:33:20 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/administrator/components/com_virtuemart/helpers/config.php on line 520
[26-Dec-2016 19:33:20 Europe/Berlin] PHP Fatal error: Using $this when not in object context in /home/acercama/public_html/libraries/joomla/filter/input.php on line 141

Code: libraries/joomla/filter/input.php

138 public function clean($source, $type = 'string')
139 {
140 // Strip Unicode Supplementary Characters when requested to do so
141 if ($this->stripUSC)
{

ResponderCitar
Respondido : 26/12/2016 7:47 pm
Francisco Javier
 Francisco Javier
Usuario activo

He procedido a instalar Vm de nuevo v3.0.18 que es la que está en la web y sigue el error:

[26-Dec-2016 19:35:32 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/includes/framework.php on line 75
[26-Dec-2016 19:35:32 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/libraries/joomla/session/handler/joomla.php on line 45
.
.
.
.
[26-Dec-2016 19:56:01 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home/acercama/public_html/administrator/components/com_virtuemart/helpers/config.php on line 520
[26-Dec-2016 19:56:01 Europe/Berlin] PHP Fatal error: Using $this when not in object context in /home/acercama/public_html/libraries/joomla/filter/input.php on line 141

Edito este mensaje para contaros que ya está solucionado, finalmente lo que daba problemas era un modulo concretamente el "ARI Cloud Carousel" lo he deshabilitado y actualizado de 3.4 a 3.6.5 y todo funciona perfectamente. Lo he habilitado tras la actualización y ya no funciona bien el módulo mencionado.... Todo un año sin poder actualizar el Joomla, gracias a todos y por todo habéis sido de gran ayuda y finalmente ha quedado demostrado una vez mas que Webempresa no solo es la empresa Hosting puntera, si no la mejor atendida técnicamente

ResponderCitar
Respondido : 26/12/2016 7:58 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Gracias por la retroalimentación, que bueno que finalmente pudiste actualizar y detectar que el problema te lo causaba ese módulo.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 26/12/2016 9:43 pm

Por favor Iniciar Sesión o Registro